Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2010:0904-1 (moderate): mozilla-nss: Update to current version for security and other fixes
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Wed, 27 Oct 2010 19:08:12 +0200 (CEST)
  • Message-id: <20101027170812.C558ABE4E@xxxxxxxxxxxxxx>
openSUSE Security Update: mozilla-nss: Update to current version for
security and other fixes
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0904-1
Rating: moderate
References: #637290
Cross-References: CVE-2010-3170
Affected Products:
openSUSE 11.3
openSUSE 11.2
openSUSE 11.1
______________________________________________________________________________

An update that fixes one vulnerability is now available. It
includes two new package versions.

Description:

The Mozilla NSS Library was updated to version 3.12.8 and
the Mozilla NSPR Library was updated to 4.8.6 to fix
various bugs and one security issue.

CVE-2010-3170: Disallow wildcard matching in X509
certificate Common Names.

This update also has preparations for Firefox 4 support,
and a updated Root Certificate Authority list.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch libfreebl3-3241

- openSUSE 11.2:

zypper in -t patch libfreebl3-3241

- openSUSE 11.1:

zypper in -t patch libfreebl3-3241

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-3.12.8-1.1.1
libsoftokn3-3.12.8-1.1.1
mozilla-nspr-4.8.6-1.1.1
mozilla-nspr-devel-4.8.6-1.1.1
mozilla-nss-3.12.8-1.1.1
mozilla-nss-certs-3.12.8-1.1.1
mozilla-nss-devel-3.12.8-1.1.1
mozilla-nss-sysinit-3.12.8-1.1.1
mozilla-nss-tools-3.12.8-1.1.1

- openSUSE 11.3 (x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-32bit-3.12.8-1.1.1
libsoftokn3-32bit-3.12.8-1.1.1
mozilla-nspr-32bit-4.8.6-1.1.1
mozilla-nss-32bit-3.12.8-1.1.1
mozilla-nss-certs-32bit-3.12.8-1.1.1
mozilla-nss-sysinit-32bit-3.12.8-1.1.1

- openSUSE 11.2 (i586 x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-3.12.8-1.1.1
mozilla-nspr-4.8.6-1.1.1
mozilla-nspr-devel-4.8.6-1.1.1
mozilla-nss-3.12.8-1.1.1
mozilla-nss-devel-3.12.8-1.1.1
mozilla-nss-tools-3.12.8-1.1.1

- openSUSE 11.2 (x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-32bit-3.12.8-1.1.1
mozilla-nspr-32bit-4.8.6-1.1.1
mozilla-nss-32bit-3.12.8-1.1.1

- openSUSE 11.1 (i586 ppc x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-3.12.8-1.1.1
mozilla-nspr-4.8.6-1.1.1
mozilla-nspr-devel-4.8.6-1.1.1
mozilla-nss-3.12.8-1.1.1
mozilla-nss-devel-3.12.8-1.1.1
mozilla-nss-tools-3.12.8-1.1.1

- openSUSE 11.1 (x86_64) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-32bit-3.12.8-1.1.1
mozilla-nspr-32bit-4.8.6-1.1.1
mozilla-nss-32bit-3.12.8-1.1.1

- openSUSE 11.1 (ppc) [New Version: 3.12.8 and 4.8.6]:

libfreebl3-64bit-3.12.8-1.1.1
mozilla-nspr-64bit-4.8.6-1.1.1
mozilla-nss-64bit-3.12.8-1.1.1


References:

http://support.novell.com/security/cve/CVE-2010-3170.html
https://bugzilla.novell.com/637290


< Previous Next >
This Thread
  • No further messages